      PROGRAM GENDAT
c     GENEROWANIE DANYCH DLA GAUSS
      implicit none
      real*8 AA,FF,EPSILON
      integer N,k,l,j
      dimension AA(1000000),FF(10000)
      write(*,*)'PODAJ N - WYMIAR ZADANIA'
      read (*,*) N
      write(*,*)'PODAJ EPSILON'
      read (*,*) EPSILON
c     PETLA GENERUJACA
      do 1,l=1,N,1
      do 2,k=1,N,1
      j=N*(l-1)+k
      if(k.eq.(l))then
      AA(j)=1+EPSILON
      else
      AA(j)=1
      endif
    2 continue
    1 continue
      do 3,l=1,N,1
      FF(l)=N+EPSILON
    3 continue
c     KONIEC GENEROWANIA
      open(unit=10,file='AA')
      rewind(10)
      do 4,j=1,N*N,1
      write(10,*)AA(j)
    4 continue
      close(10)
      open(unit=11,file='FF')
      rewind(11)
      do 5,l=1,N,1
      write(11,*)FF(l)
    5 continue
      close(11)
      stop 100
      end

